Lingxing
切换旧版

创建待调拨的调拨单

POST/erp/sc/routing/inventoryReceipt/StorageAllocation/submitAllocationOrder

接口信息

API Path请求协议请求方式令牌桶容量
/erp/sc/routing/inventoryReceipt/StorageAllocation/submitAllocationOrderHTTPSPOST1

请求参数

sys_widinteger必填
系统出库仓库ID
sys_to_widinteger必填
系统入库仓库ID
freight_feestring
运费
other_feestring
其他费用
fee_part_typeinteger
费用分摊方式:0 不分摊【默认值】,2 按sku数量分摊,3 按重量,4 按体积,5 按自定义
remarkstring
备注
predict_timestring
预计到货时间
typestring
默认为2-标准调拨
out_bin_typestring必填
默认0 出库仓位不为空时必传1
product_listarray<object>必填
产品明细
隐藏子属性
product_idstring必填
产品id
seller_idstring
店铺id,不传默认0【对应查询亚马逊店铺信息接口字段sid】
fnskustring
fnsku,不传默认为空
good_numinteger
可用调拨量,和次品调拨量其中一项必填
bad_numinteger
次品调拨量,和可用调拨量其中一项必填
cg_package_lengthstring
包装规格-长(CM),不传或者传空则取产品管理的值
cg_package_widthstring
包装规格-宽(CM),不传或者传空则取产品管理的值
cg_package_heightstring
包装规格-高(CM),不传或者传空则取产品管理的值
cg_product_gross_weightstring
单品净重,不传或者传空则取产品管理的值
freight_fee_unitstring
单位运费,若费用分摊方式为5-自定义则必填,其他则该字段无效
other_fee_unitstring
单位其他费用,若费用分摊方式为5-自定义则必填,其他则该字段无效
product_remarkstring
明细备注,最大长度为255个字符
out_available_binarray<object>
出库可用仓位列表,不指定则传空数组 []
隐藏子属性
whb_codestring
出库可用仓位编码
numstring
出库可用仓位调拨量
out_inferior_binarray<object>
出库次品仓位列表,不指定则传空数组 []
隐藏子属性
whb_codestring
出库次品仓位编码
numstring
出库次品仓位调拨量
to_available_binarray<object>
入库可用仓位列表,不指定则传空数组 []
隐藏子属性
whb_codestring
入库可用仓位编码
numstring
入库可用仓位调拨量
to_inferior_binarray<object>
入库次品仓位列表,不指定则传空数组 []
隐藏子属性
whb_codestring
入库次品仓位编码
numstring
入库次品仓位调拨量

请求curl示例

curl --location --globoff 'https://openapi.lingxing.com/erp/sc/routing/inventoryReceipt/StorageAllocation/submitAllocationOrder?access_token=value&app_key=value&sign=value&timestamp=value' \
--header 'Content-Type: application/json' \
--data '{
  "sys_wid": 1,
  "sys_to_wid": 11,
  "freight_fee": "50.00",
  "other_fee": "10.00",
  "fee_part_type": 0,
  "remark": "紧急调拨,请优先处理",
  "predict_time": "2025-03-10",
  "type": "2",
  "out_bin_type": "1",
  "product_list": [
    {
      "product_id": "1",
      "seller_id": "1",
      "fnsku": "X000001",
      "good_num": 48,
      "bad_num": 0,
      "cg_package_length": "30",
      "cg_package_width": "20",
      "cg_package_height": "10",
      "cg_product_gross_weight": "2.5",
      "freight_fee_unit": "",
      "other_fee_unit": "",
      "product_remark": "第一批次调拨",
      "out_available_bin": [
        {
          "whb_code": "A001",
          "num": "24"
        },
        {
          "whb_code": "A002",
          "num": "24"
        }
      ],
      "out_inferior_bin": [],
      "to_available_bin": [
        {
          "whb_code": "B001",
          "num": "48"
        }
      ],
      "to_inferior_bin": []
    },
    {
      "product_id": "2",
      "seller_id": "2",
      "fnsku": "X000002",
      "good_num": 30,
      "bad_num": 5,
      "cg_package_length": "25",
      "cg_package_width": "15",
      "cg_package_height": "5",
      "cg_product_gross_weight": "1.5",
      "freight_fee_unit": "",
      "other_fee_unit": "",
      "product_remark": "第二批次调拨",
      "out_available_bin": [
        {
          "whb_code": "A003",
          "num": "30"
        }
      ],
      "out_inferior_bin": [
        {
          "whb_code": "A004",
          "num": "5"
        }
      ],
      "to_available_bin": [
        {
          "whb_code": "B002",
          "num": "30"
        }
      ],
      "to_inferior_bin": [
        {
          "whb_code": "B003",
          "num": "5"
        }
      ]
    }
  ]
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
提示消息
示例 success
error_detailsarray<any>必填
错误信息
request_idstring必填
请求链路id
示例 81CA6A9A-A5C4-8B5E-5FED-E1C2EC04753C
response_timestring必填
响应时间
示例 2020-12-01 12:11:12
dataobject必填
响应数据
隐藏子属性
order_snstring必填
调拨单号
示例 TF220729002

成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "C70FD2A7-4E7D-6B32-7D72-FC42587CE97E",
    "response_time": "2022-07-29 14:33:42",
    "data": {
        "order_sn": "TF220729002"
    },
    "total": 0
}